- Home
- API Enriched
- Sites
- config
- Configure VPC K8s hostnames.
Configure VPC K8s hostnames.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/aws_vpc_site/example/storage/set_vpc_k8s_hostnames';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"name":"example","namespace":"example","node_names":["example"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/aws_vpc_site/example/storage/set_vpc_k8s_hostnames \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "namespace": "example", "node_names": [ "example" ] }'Configure VPC K8s node hostname set.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace Namespace for the object to be configured.
Name Name of the object to be configured.
Request Bodyrequired
Section titled “Request Bodyrequired”Request to configure VPC K8s node hostname set.
object
Name of the object to be configured.
Namespace for the object to be configured.
Hostname of K8s nodes for deinition of Mayastore pools.
Examplegenerated
{ "name": "example", "namespace": "example", "node_names": [ "example" ]}Responses
Section titled “Responses”A successful response.
object
Examplegenerated
{}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example